function numberWithCommas(x) {
    x = x.toString();
    var pattern = /(-?\d+)(\d{3})/;
    while (pattern.test(x))
        x = x.replace(pattern, "$1,$2");
    return x;
}


register("command", function(argum1) {
	if (argum1.length < 25) {
		/* Making sure that the scoreboard isn't empty */
		if (Scoreboard.getLines().length > 0) {
			
			/**
			* Storing the amount of scoreboard lines in a variable, 
			* partially for readability, 
			* partially for a tiny bit better performance because the for loop looks up a static var value instead of calculating the scoreboard lines every iteration 
			*/
			var amountOfLinesInTheScoreboard = Scoreboard.getLines().length;
			/* defining i outside of the for loop to keep the variable local; writing for(i=0; i <.....; ....) turns i into a global variable */
			var i = 0;
			for (i; i < amountOfLinesInTheScoreboard; i++) {
				if (Scoreboard.getLines()[i].toString().contains("Coins") || Scoreboard.getLines()[i].toString().contains("Purse")) {
					/**
					* the variable leftHandSideContainingTheCoinsString grabs everything in the scoreboard line that is NOT the amount of coins, 
					* i.e. it grabs the "Coins:" string but also all the color formatting
					*/
					var leftHandSideContainingTheCoinsString = Scoreboard.getLines()[i].toString().slice(0, (Scoreboard.getLines()[i].toString().indexOf(":"))+4);
					
					if (Scoreboard.getLines()[i].toString().contains("Coins: §a§6")) {
						leftHandSideContainingTheCoinsString = Scoreboard.getLines()[i].toString().slice(0, (Scoreboard.getLines()[i].toString().indexOf(":"))+6);
					}
					Scoreboard.setLine(i+1, leftHandSideContainingTheCoinsString + numberWithCommas(argum1), true);
					return;	
				}
			}
		}
	}
	else {
		ChatLib.chat("&cCookTheBooks&8>&f The input is too long!  (maximum is 24 characters)");
	}
}).setName("setcoinsto");